public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-emulation/dolphin/, games-emulation/dolphin/files/
@ 2018-01-11 10:36 David Seifert
  0 siblings, 0 replies; 7+ messages in thread
From: David Seifert @ 2018-01-11 10:36 UTC (permalink / raw
  To: gentoo-commits

commit:     ef8bb10ad88faeaf84a9ff6133507413618bd41d
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 11 10:24:41 2018 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Jan 11 10:35:38 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef8bb10a

games-emulation/dolphin: Fix building with new glibc

Closes: https://bugs.gentoo.org/637986
Package-Manager: Portage-2.3.19, Repoman-2.3.6

 games-emulation/dolphin/dolphin-5.0.ebuild         | 64 ++++++++--------------
 .../files/dolphin-5.0-CHAR_WIDTH-collision.patch   | 49 +++++++++++++++++
 2 files changed, 72 insertions(+), 41 deletions(-)

diff --git a/games-emulation/dolphin/dolphin-5.0.ebuild b/games-emulation/dolphin/dolphin-5.0.ebuild
index 66b0fe9c7da..19005325105 100644
--- a/games-emulation/dolphin/dolphin-5.0.ebuild
+++ b/games-emulation/dolphin/dolphin-5.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -7,7 +7,7 @@ PLOCALES="ar ca cs da_DK de el en es fa fr hr hu it ja ko ms_MY nb nl pl pt pt_B
 PLOCALE_BACKUP="en"
 WX_GTK_VER="3.0"
 
-inherit cmake-utils eutils l10n pax-utils toolchain-funcs versionator wxwidgets
+inherit cmake-utils desktop l10n pax-utils toolchain-funcs versionator wxwidgets
 
 SRC_URI="https://github.com/${PN}-emu/${PN}/archive/${PV}.zip -> ${P}.zip"
 KEYWORDS="amd64"
@@ -17,15 +17,15 @@ HOMEPAGE="https://www.dolphin-emu.org/"
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="alsa ao bluetooth doc egl +evdev ffmpeg llvm log lto openal +pch portaudio profile pulseaudio qt5 sdl upnp +wxwidgets"
+IUSE="alsa ao bluetooth doc egl +evdev ffmpeg libav llvm log lto openal +pch portaudio profile pulseaudio qt5 sdl upnp +wxwidgets"
 
-RDEPEND=">=media-libs/libsfml-2.1
+RDEPEND="
+	>=media-libs/libsfml-2.1
 	>net-libs/enet-1.3.7
 	>=net-libs/mbedtls-2.1.1
 	dev-libs/lzo
-	media-libs/libpng:=
-	sys-libs/glibc
-	sys-libs/readline:=
+	media-libs/libpng:0=
+	sys-libs/readline:0=
 	sys-libs/zlib
 	x11-libs/libXext
 	x11-libs/libXi
@@ -37,14 +37,17 @@ RDEPEND=">=media-libs/libsfml-2.1
 	bluetooth? ( net-wireless/bluez )
 	egl? ( media-libs/mesa[egl] )
 	evdev? (
-			dev-libs/libevdev
-			virtual/udev
+		dev-libs/libevdev
+		virtual/udev
+	)
+	ffmpeg? (
+		libav? ( media-video/libav:= )
+		!libav? ( media-video/ffmpeg:= )
 	)
-	ffmpeg? ( virtual/ffmpeg )
 	llvm? ( sys-devel/llvm )
 	openal? (
-			media-libs/openal
-			media-libs/libsoundtouch
+		media-libs/openal
+		media-libs/libsoundtouch
 	)
 	portaudio? ( media-libs/portaudio )
 	profile? ( dev-util/oprofile )
@@ -57,35 +60,20 @@ RDEPEND=">=media-libs/libsfml-2.1
 	sdl? ( media-libs/libsdl2[haptic,joystick] )
 	upnp? ( >=net-libs/miniupnpc-1.7 )
 	wxwidgets? (
-				dev-libs/glib:2
-				x11-libs/gtk+:2
-				x11-libs/wxGTK:${WX_GTK_VER}[opengl,X]
-	)
-	"
+		dev-libs/glib:2
+		x11-libs/gtk+:2
+		x11-libs/wxGTK:${WX_GTK_VER}[opengl,X]
+	)"
 DEPEND="${RDEPEND}
-	>=dev-util/cmake-2.8.8
-	>=sys-devel/gcc-4.9.0
 	app-arch/zip
 	media-libs/freetype
 	sys-devel/gettext
-	virtual/pkgconfig
-	"
-
-pkg_pretend() {
-
-	local ver=4.9.0
-	local msg="${PN} needs at least GCC ${ver} set to compile."
-
-	if [[ ${MERGE_TYPE} != binary ]]; then
-		if ! version_is_at_least ${ver} $(gcc-fullversion); then
-			eerror ${msg}
-			die ${msg}
-		fi
-	fi
+	virtual/pkgconfig"
 
-}
+PATCHES=( "${FILESDIR}"/${P}-CHAR_WIDTH-collision.patch )
 
 src_prepare() {
+	cmake-utils_src_prepare
 
 	# Remove automatic dependencies to prevent building without flags enabled.
 	if use !alsa; then
@@ -139,13 +127,12 @@ src_prepare() {
 }
 
 src_configure() {
-
 	if use wxwidgets; then
 		need-wxwidgets unicode
 	fi
 
 	local mycmakeargs=(
-		"-DUSE_SHARED_ENET=ON"
+		-DUSE_SHARED_ENET=ON
 		$( cmake-utils_use ffmpeg ENCODE_FRAMEDUMPS )
 		$( cmake-utils_use log FASTLOG )
 		$( cmake-utils_use profile OPROFILING )
@@ -162,12 +149,7 @@ src_configure() {
 	cmake-utils_src_configure
 }
 
-src_compile() {
-
-	cmake-utils_src_compile
-}
 src_install() {
-
 	cmake-utils_src_install
 
 	dodoc Readme.md

diff --git a/games-emulation/dolphin/files/dolphin-5.0-CHAR_WIDTH-collision.patch b/games-emulation/dolphin/files/dolphin-5.0-CHAR_WIDTH-collision.patch
new file mode 100644
index 00000000000..d6e4c7a2dc0
--- /dev/null
+++ b/games-emulation/dolphin/files/dolphin-5.0-CHAR_WIDTH-collision.patch
@@ -0,0 +1,49 @@
+Avoid clash with TS 18661-1:2014 macros
+https://bugs.gentoo.org/637986
+
+--- a/Source/Core/VideoBackends/OGL/RasterFont.cpp
++++ b/Source/Core/VideoBackends/OGL/RasterFont.cpp
+@@ -15,7 +15,7 @@
+ namespace OGL
+ {
+ 
+-static const int CHAR_WIDTH = 8;
++static const int DOLPHIN_CHAR_WIDTH = 8;
+ static const int CHAR_HEIGHT = 13;
+ static const int CHAR_OFFSET = 32;
+ static const int CHAR_COUNT = 95;
+@@ -146,20 +146,20 @@
+ 	glGenTextures(1, &texture);
+ 	glActiveTexture(GL_TEXTURE8);
+ 	glBindTexture(GL_TEXTURE_2D, texture);
+-	std::vector<u32> texture_data(CHAR_WIDTH * CHAR_COUNT * CHAR_HEIGHT);
++	std::vector<u32> texture_data(DOLPHIN_CHAR_WIDTH * CHAR_COUNT * CHAR_HEIGHT);
+ 	for (int y = 0; y < CHAR_HEIGHT; y++)
+ 	{
+ 		for (int c = 0; c < CHAR_COUNT; c++)
+ 		{
+-			for (int x = 0; x < CHAR_WIDTH; x++)
++			for (int x = 0; x < DOLPHIN_CHAR_WIDTH; x++)
+ 			{
+-				bool pixel = (0 != (rasters[c][y] & (1 << (CHAR_WIDTH - x - 1))));
+-				texture_data[CHAR_WIDTH * CHAR_COUNT * y + CHAR_WIDTH * c + x] = pixel ? -1 : 0;
++				bool pixel = (0 != (rasters[c][y] & (1 << (DOLPHIN_CHAR_WIDTH - x - 1))));
++				texture_data[DOLPHIN_CHAR_WIDTH * CHAR_COUNT * y + DOLPHIN_CHAR_WIDTH * c + x] = pixel ? -1 : 0;
+ 			}
+ 		}
+ 	}
+ 	glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAX_LEVEL, 0);
+-	glTexImage2D(GL_TEXTURE_2D, 0, GL_RGBA, CHAR_WIDTH * CHAR_COUNT, CHAR_HEIGHT, 0, GL_RGBA, GL_UNSIGNED_BYTE, texture_data.data());
++	glTexImage2D(GL_TEXTURE_2D, 0, GL_RGBA, DOLPHIN_CHAR_WIDTH * CHAR_COUNT, CHAR_HEIGHT, 0, GL_RGBA, GL_UNSIGNED_BYTE, texture_data.data());
+ 
+ 	// generate shader
+ 	ProgramShaderCache::CompileShader(s_shader, s_vertexShaderSrc, s_fragmentShaderSrc);
+@@ -196,7 +196,7 @@
+ 	std::vector<GLfloat> vertices(text.length() * 6 * 4);
+ 
+ 	int usage = 0;
+-	GLfloat delta_x = GLfloat(2 * CHAR_WIDTH) / GLfloat(bbWidth);
++	GLfloat delta_x = GLfloat(2 * DOLPHIN_CHAR_WIDTH) / GLfloat(bbWidth);
+ 	GLfloat delta_y = GLfloat(2 * CHAR_HEIGHT) / GLfloat(bbHeight);
+ 	GLfloat border_x = 2.0f / GLfloat(bbWidth);
+ 	GLfloat border_y = 4.0f / GLfloat(bbHeight);


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/dolphin/, games-emulation/dolphin/files/
@ 2018-07-22 10:16 Sergei Trofimovich
  0 siblings, 0 replies; 7+ messages in thread
From: Sergei Trofimovich @ 2018-07-22 10:16 UTC (permalink / raw
  To: gentoo-commits

commit:     0440c6f4dc3c200a4b8a6ce08b74dfdd7dc35d7b
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 22 10:16:04 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sun Jul 22 10:16:29 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0440c6f4

games-emulation/dolphin: xgetbv tweak for gcc-8

Package-Manager: Portage-2.3.43, Repoman-2.3.10

 games-emulation/dolphin/dolphin-5.0.ebuild         |  5 ++++-
 .../dolphin/files/dolphin-5.0-xgetbv.patch         | 24 ++++++++++++++++++++++
 2 files changed, 28 insertions(+), 1 deletion(-)

diff --git a/games-emulation/dolphin/dolphin-5.0.ebuild b/games-emulation/dolphin/dolphin-5.0.ebuild
index 6110f03b0a0..65b49e8a79d 100644
--- a/games-emulation/dolphin/dolphin-5.0.ebuild
+++ b/games-emulation/dolphin/dolphin-5.0.ebuild
@@ -70,7 +70,10 @@ DEPEND="${RDEPEND}
 	sys-devel/gettext
 	virtual/pkgconfig"
 
-PATCHES=( "${FILESDIR}"/${P}-CHAR_WIDTH-collision.patch )
+PATCHES=(
+	"${FILESDIR}"/${P}-CHAR_WIDTH-collision.patch
+	"${FILESDIR}"/${P}-xgetbv.patch
+)
 
 src_prepare() {
 	cmake-utils_src_prepare

diff --git a/games-emulation/dolphin/files/dolphin-5.0-xgetbv.patch b/games-emulation/dolphin/files/dolphin-5.0-xgetbv.patch
new file mode 100644
index 00000000000..ffa7cc81c13
--- /dev/null
+++ b/games-emulation/dolphin/files/dolphin-5.0-xgetbv.patch
@@ -0,0 +1,24 @@
+Workaround collision of _xgetbv intrinsic redeclaration:
+
+Source/Core/Common/x64CPUDetect.cpp:45:12: error: ambiguating new declaration of ‘u64 _xgetbv(u32)’
+ static u64 _xgetbv(u32 index)
+            ^~~~~~~
+In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/8.1.0/include/x86intrin.h:74,
+                 from Source/Core/Common/Intrinsics.h:12,
+                 from Source/Core/Common/x64CPUDetect.cpp:10:
+/usr/lib/gcc/x86_64-pc-linux-gnu/8.1.0/include/xsaveintrin.h:60:1: note: old declaration ‘long long int _xgetbv(unsigned int)’
+ _xgetbv (unsigned int __A)
+ ^~~~~~~
+
+Upstream fied it in
+    commit 823fdda30c38be953c3d425874f2adeabed2b5a8
+    intrinsics: stop defining _xgetbv/_XCR_XFEATURE_ENABLED_MASK, which are reserved
+
+--- a/Source/Core/Common/x64CPUDetect.cpp
++++ b/Source/Core/Common/x64CPUDetect.cpp
+@@ -45 +45 @@ static inline void __cpuid(int info[4], int function_id)
+-static u64 _xgetbv(u32 index)
++static u64 _xgetbv_dolphin(u32 index)
+@@ -137 +137 @@ void CPUInfo::Detect()
+-			if ((_xgetbv(_XCR_XFEATURE_ENABLED_MASK) & 0x6) == 0x6)
++			if ((_xgetbv_dolphin(_XCR_XFEATURE_ENABLED_MASK) & 0x6) == 0x6)


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/dolphin/, games-emulation/dolphin/files/
@ 2019-05-25 22:38 Sergei Trofimovich
  0 siblings, 0 replies; 7+ messages in thread
From: Sergei Trofimovich @ 2019-05-25 22:38 UTC (permalink / raw
  To: gentoo-commits

commit:     0e0022cf7c98344343eb04454f8309aacff18b9b
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sat May 25 22:38:31 2019 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sat May 25 22:38:42 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e0022cf

games-emulation/dolphin: fix libsoundtouch build, bug #686752

Reported-and-fixed-by:  Sławomir Nizio
Closes: https://bugs.gentoo.org/686752
Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 games-emulation/dolphin/dolphin-5.0.ebuild            |  3 ++-
 .../files/dolphin-5.0-soundtouch-exceptions.patch     | 19 +++++++++++++++++++
 2 files changed, 21 insertions(+), 1 deletion(-)

diff --git a/games-emulation/dolphin/dolphin-5.0.ebuild b/games-emulation/dolphin/dolphin-5.0.ebuild
index 491d92991be..871b1246ade 100644
--- a/games-emulation/dolphin/dolphin-5.0.ebuild
+++ b/games-emulation/dolphin/dolphin-5.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -75,6 +75,7 @@ PATCHES=(
 	"${FILESDIR}"/${P}-CHAR_WIDTH-collision.patch
 	"${FILESDIR}"/${P}-xgetbv.patch
 	"${FILESDIR}"/${P}-no-pie.patch
+	"${FILESDIR}"/${P}-soundtouch-exceptions.patch
 )
 
 src_prepare() {

diff --git a/games-emulation/dolphin/files/dolphin-5.0-soundtouch-exceptions.patch b/games-emulation/dolphin/files/dolphin-5.0-soundtouch-exceptions.patch
new file mode 100644
index 00000000000..ffd07cf0697
--- /dev/null
+++ b/games-emulation/dolphin/files/dolphin-5.0-soundtouch-exceptions.patch
@@ -0,0 +1,19 @@
+https://bugs.gentoo.org/686752
+
+Description: Fix FTBFS with SoundTouch 2.1.2
+ Explicitly disable exceptions in SoundTouch headers because Dolphin
+ is compiled with -fno-exceptions.
+Author: James Cowgill <jcowgill@debian.org>
+Bug-Debian: https://bugs.debian.org/917671
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+--- a/Source/Core/AudioCommon/OpenALStream.h
++++ b/Source/Core/AudioCommon/OpenALStream.h
+@@ -32,6 +32,7 @@
+ #define BOOL SoundTouch_BOOL
+ #endif
+ 
++#define ST_NO_EXCEPTION_HANDLING
+ #include <soundtouch/SoundTouch.h>
+ #include <soundtouch/STTypes.h>
+ 


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/dolphin/, games-emulation/dolphin/files/
@ 2021-07-02  6:43 Sergei Trofimovich
  0 siblings, 0 replies; 7+ messages in thread
From: Sergei Trofimovich @ 2021-07-02  6:43 UTC (permalink / raw
  To: gentoo-commits

commit:     e7e66a46b94f8707499ab2c266b3a6ce627cadc5
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  2 06:42:59 2021 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Fri Jul  2 06:43:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7e66a46

games-emulation/dolphin: add missing headers for musl

Reported-by: ernsteiswuerfel
Closes: https://bugs.gentoo.org/799281
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 .../dolphin/dolphin-5.0_p20210506.ebuild           |  2 ++
 .../dolphin/files/dolphin-5.0_p20210506-musl.patch | 24 ++++++++++++++++++++++
 2 files changed, 26 insertions(+)

diff --git a/games-emulation/dolphin/dolphin-5.0_p20210506.ebuild b/games-emulation/dolphin/dolphin-5.0_p20210506.ebuild
index 2a9debffb0f..fd44c78fa9e 100644
--- a/games-emulation/dolphin/dolphin-5.0_p20210506.ebuild
+++ b/games-emulation/dolphin/dolphin-5.0_p20210506.ebuild
@@ -71,6 +71,8 @@ BDEPEND="
 RDEPEND="${RDEPEND}
 	vulkan? ( media-libs/vulkan-loader )"
 
+PATCHES=("${FILESDIR}"/${P}-musl.patch)
+
 src_prepare() {
 	cmake_src_prepare
 

diff --git a/games-emulation/dolphin/files/dolphin-5.0_p20210506-musl.patch b/games-emulation/dolphin/files/dolphin-5.0_p20210506-musl.patch
new file mode 100644
index 00000000000..51570151c11
--- /dev/null
+++ b/games-emulation/dolphin/files/dolphin-5.0_p20210506-musl.patch
@@ -0,0 +1,24 @@
+https://bugs.gentoo.org/799281
+https://github.com/dolphin-emu/dolphin/commit/7a1922fd8f0f6686188d179732c9757faf2d1b4f.patch
+
+From 7a1922fd8f0f6686188d179732c9757faf2d1b4f Mon Sep 17 00:00:00 2001
+From: thyrc <thyrc@users.noreply.github.com>
+Date: Mon, 14 Jun 2021 10:18:34 +0200
+Subject: [PATCH] Fix includes for musl libc
+
+---
+ Source/Core/Core/MemoryWatcher.cpp | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/Source/Core/Core/MemoryWatcher.cpp b/Source/Core/Core/MemoryWatcher.cpp
+index 491ecd83150a..13843e2021ca 100644
+--- a/Source/Core/Core/MemoryWatcher.cpp
++++ b/Source/Core/Core/MemoryWatcher.cpp
+@@ -2,6 +2,7 @@
+ // Licensed under GPLv2+
+ // Refer to the license.txt file included.
+ 
++#include <cstring>
+ #include <fstream>
+ #include <iostream>
+ #include <sstream>


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/dolphin/, games-emulation/dolphin/files/
@ 2022-07-11  0:09 Sam James
  0 siblings, 0 replies; 7+ messages in thread
From: Sam James @ 2022-07-11  0:09 UTC (permalink / raw
  To: gentoo-commits

commit:     65e79039b9cd3898cdb300f36357d5cc82c4f35c
Author:     Christopher Rudolph <rudolchr <AT> b-tu <DOT> de>
AuthorDate: Fri Jul  8 17:23:52 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jul 11 00:08:08 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65e79039

games-emulation/dolphin: fix build w/ libfmt-9

Apply patch to make games-emulation/dolphin-5.0_p20220520 build with
dev-libs/libfmt-9.

Signed-off-by: Christopher Rudolph <rudolchr <AT> b-tu.de>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 ...0520.ebuild => dolphin-5.0_p20220520-r1.ebuild} |  4 ++-
 ...phin-5.0_p20220520-libfmt-9.0.0-fix-build.patch | 32 ++++++++++++++++++++++
 2 files changed, 35 insertions(+), 1 deletion(-)

diff --git a/games-emulation/dolphin/dolphin-5.0_p20220520.ebuild b/games-emulation/dolphin/dolphin-5.0_p20220520-r1.ebuild
similarity index 98%
rename from games-emulation/dolphin/dolphin-5.0_p20220520.ebuild
rename to games-emulation/dolphin/dolphin-5.0_p20220520-r1.ebuild
index 381435640b8f..abcdeec7c45b 100644
--- a/games-emulation/dolphin/dolphin-5.0_p20220520.ebuild
+++ b/games-emulation/dolphin/dolphin-5.0_p20220520-r1.ebuild
@@ -35,12 +35,14 @@ IUSE="
 	profile pulseaudio systemd upnp vulkan
 "
 
+PATCHES=("${FILESDIR}/${P}-libfmt-9.0.0-fix-build.patch")
+
 RDEPEND="
 	app-arch/bzip2:=
 	app-arch/xz-utils:=
 	app-arch/zstd:=
 	dev-libs/hidapi:=
-	=dev-libs/libfmt-8*:=
+	>=dev-libs/libfmt-8:=
 	dev-libs/lzo:=
 	dev-libs/pugixml:=
 	media-libs/cubeb:=

diff --git a/games-emulation/dolphin/files/dolphin-5.0_p20220520-libfmt-9.0.0-fix-build.patch b/games-emulation/dolphin/files/dolphin-5.0_p20220520-libfmt-9.0.0-fix-build.patch
new file mode 100644
index 000000000000..5bc2ae3877f4
--- /dev/null
+++ b/games-emulation/dolphin/files/dolphin-5.0_p20220520-libfmt-9.0.0-fix-build.patch
@@ -0,0 +1,32 @@
+From: Christopher Rudolph
+Fix build with libfmt-9.0.0
+Upstream report: https://github.com/dolphin-emu/dolphin/pull/10825
+
+diff --git a/Source/Core/Common/MsgHandler.h b/Source/Core/Common/MsgHandler.h
+index 750da51..1d6a467 100644
+--- a/Source/Core/Common/MsgHandler.h
++++ b/Source/Core/Common/MsgHandler.h
+@@ -41,7 +41,11 @@ bool MsgAlertFmt(bool yes_no, MsgType style, Common::Log::LogType log_type, cons
+   static_assert(NumFields == sizeof...(args),
+                 "Unexpected number of replacement fields in format string; did you pass too few or "
+                 "too many arguments?");
++#if FMT_VERSION >= 90000
++  static_assert(fmt::detail::is_compile_string<S>::value);
++#else
+   static_assert(fmt::is_compile_string<S>::value);
++#endif
+   return MsgAlertFmtImpl(yes_no, style, log_type, file, line, format,
+                          fmt::make_format_args(args...));
+ }
+@@ -56,7 +60,11 @@ bool MsgAlertFmtT(bool yes_no, MsgType style, Common::Log::LogType log_type, con
+   static_assert(NumFields == sizeof...(args),
+                 "Unexpected number of replacement fields in format string; did you pass too few or "
+                 "too many arguments?");
++#if FMT_VERSION >= 90000
++  static_assert(fmt::detail::is_compile_string<S>::value);
++#else
+   static_assert(fmt::is_compile_string<S>::value);
++#endif
+   auto arg_list = fmt::make_format_args(args...);
+   return MsgAlertFmtImpl(yes_no, style, log_type, file, line, translated_format, arg_list);
+ }


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/dolphin/, games-emulation/dolphin/files/
@ 2024-06-02 17:54 Michał Górny
  0 siblings, 0 replies; 7+ messages in thread
From: Michał Górny @ 2024-06-02 17:54 UTC (permalink / raw
  To: gentoo-commits

commit:     1e3866a781cb9f13107b17d346ce03fcbc09e10c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  2 17:50:39 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun  2 17:54:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e3866a7

games-emulation/dolphin: Backport gcc-14 build fix

Thanks to Kostadin Shishmanov for finding the pull request.

Closes: https://bugs.gentoo.org/933203
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../dolphin/dolphin-5.0_p20220520-r2.ebuild        |  6 ++++-
 .../files/dolphin-5.0_p20220520-gcc-14.patch       | 30 ++++++++++++++++++++++
 2 files changed, 35 insertions(+), 1 deletion(-)

diff --git a/games-emulation/dolphin/dolphin-5.0_p20220520-r2.ebuild b/games-emulation/dolphin/dolphin-5.0_p20220520-r2.ebuild
index c1f43ed2cbd5..eb77bc5735c5 100644
--- a/games-emulation/dolphin/dolphin-5.0_p20220520-r2.ebuild
+++ b/games-emulation/dolphin/dolphin-5.0_p20220520-r2.ebuild
@@ -35,7 +35,11 @@ IUSE="
 	profile pulseaudio systemd upnp vulkan
 "
 
-PATCHES=("${FILESDIR}/${P}-libfmt-9.0.0-fix-build.patch")
+PATCHES=(
+	"${FILESDIR}/${P}-libfmt-9.0.0-fix-build.patch"
+	# https://github.com/dolphin-emu/dolphin/pull/12575
+	"${FILESDIR}/${P}-gcc-14.patch"
+)
 
 RDEPEND="
 	app-arch/bzip2:=

diff --git a/games-emulation/dolphin/files/dolphin-5.0_p20220520-gcc-14.patch b/games-emulation/dolphin/files/dolphin-5.0_p20220520-gcc-14.patch
new file mode 100644
index 000000000000..44ffb50ae257
--- /dev/null
+++ b/games-emulation/dolphin/files/dolphin-5.0_p20220520-gcc-14.patch
@@ -0,0 +1,30 @@
+From 3da2e15e6b95f02f66df461e87c8b896e450fdab Mon Sep 17 00:00:00 2001
+From: Peter Lafreniere <peter@n8pjl.ca>
+Date: Sun, 11 Feb 2024 20:55:31 -0500
+Subject: [PATCH] IOFile: avoid clearing errors on null file struct
+
+When performing a default compilation with recent GCC & glibc,
+the use of -Werror=nonnull causes a build error.
+
+The error is given as IOFile::ClearError() can call std::clearerr()
+with a null file, which can trigger a null-pointer dereference in libc.
+
+Change the std::clearerr() call to be conditional on a file being open.
+---
+ Source/Core/Common/IOFile.h | 3 ++-
+ 1 file changed, 2 insertions(+), 1 deletion(-)
+
+diff --git a/Source/Core/Common/IOFile.h b/Source/Core/Common/IOFile.h
+index 4b12c3188853..b5895333b1be 100644
+--- a/Source/Core/Common/IOFile.h
++++ b/Source/Core/Common/IOFile.h
+@@ -116,7 +116,8 @@ class IOFile
+   void ClearError()
+   {
+     m_good = true;
+-    std::clearerr(m_file);
++    if (IsOpen())
++      std::clearerr(m_file);
+   }
+ 
+ private:


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/dolphin/, games-emulation/dolphin/files/
@ 2025-01-18 16:34 Michał Górny
  0 siblings, 0 replies; 7+ messages in thread
From: Michał Górny @ 2025-01-18 16:34 UTC (permalink / raw
  To: gentoo-commits

commit:     6edb37a2fcfc33926e784ad3f2bcd533b3121eb7
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Sat Jan 18 14:23:44 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan 18 16:34:05 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6edb37a2

games-emulation/dolphin: add 2412

Bug: https://bugs.gentoo.org/946588
Closes: https://bugs.gentoo.org/945374
Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 games-emulation/dolphin/Manifest                   |   1 +
 games-emulation/dolphin/dolphin-2412.ebuild        | 301 +++++++++++++++++++++
 ...2412-fix-build-without-retro-achievements.patch |  68 +++++
 .../files/dolphin-2412-fix-libfmt-11.1.ebuild      |  75 +++++
 4 files changed, 445 insertions(+)

diff --git a/games-emulation/dolphin/Manifest b/games-emulation/dolphin/Manifest
index 7730538a400e..99d2614d0e16 100644
--- a/games-emulation/dolphin/Manifest
+++ b/games-emulation/dolphin/Manifest
@@ -1,6 +1,7 @@
 DIST Vulkan-Headers-05fe2cc910a68c9ba5dac07db46ef78573acee72.tar.gz 2288519 BLAKE2B bd11ba3ecac3bf0f6df255a4b87556092b9630c85b97cbcc2c0901d5293882da6f996e326cce8f410f8503f9e29454f0a2994c4adceb4565490d435b307d4495 SHA512 3679a087ea024a15b2d30730834345d2af3869ae012bcc5a996eed90558516d16b762010d887b9c762b5177bfc0a21b3bd29dbc4e236e067132623482068b058
 DIST VulkanMemoryAllocator-009ecd192c1289c7529bff248a16cfe896254816.tar.gz 904841 BLAKE2B 64966d40b86197a18f86c9715acb2ea649ea6b69d3de38d9385a8130e35519036eca49b7503886123284be58d5c248dd9d7c5cb16a489c64d385439c382dcd30 SHA512 3a47a4bc81562b96f598f357b803d2219fa167e6eb87779837efa6e85fc6eaff8e1cfbdea0935117a7b3c630cc99944b94e91823eafa8a94d80b2c459f33c317
 DIST dolphin-2407.tar.gz 19773792 BLAKE2B a6de162479d45e6b1cba5444df5abdeafd92773d1e49cc837dfc6c1ab45ed11d7a3f72a582ddb56d0ecc6b550d03c1a02a9389852ba438d8a9235d5ea3285d4b SHA512 8bb8459d8b653708e34d5df184d96ba9705e8c50b00d066862d4012f78b7e71938207979b3bd900dd14c35c3b6c0258bb5c8fad9ba73267188e98d8a2edfb73f
+DIST dolphin-2412.tar.gz 19926717 BLAKE2B 89036561987283067a1f116aa38a94c92d0c8e3114d28a0545787f63b389cb204b265bdd4c2452ec02ca3fe90fccf5fc0fd55be3acb9b8bd346e3738f3f96767 SHA512 3025e24b4cdc8cf3493e23a7968064cb9090d622a3a830b0a964fc87af840227125de8c0f69243c7d3975fc5ea2dd0c485d870301c25e8fa078abe83ae88bca9
 DIST dolphin-5.0_p20220520.tar.gz 34880474 BLAKE2B 925cddfe8a5d6febced5721bea6ced7c8d2855619f74ca8940b95dc78ea523b4a1083b9ef6efe3561d833b8e9ecb742cb2adf5a1864c06b629b3ecd9e92cc871 SHA512 4993cb10061b142f6627c96493885a5f9d88857d8949c2e8e8d5df5ba6e19b4f98d199da5e641d3d61294884e1cbbe8191bc5b4445c60bf80723046b2524aad5
 DIST implot-cc5e1daa5c7f2335a9460ae79c829011dc5cef2d.tar.gz 137924 BLAKE2B c830275b05a74e8a60a7164f22c01dd9a5a35f9219736785c9cc17830dae809eb8cba65604b0388c3966d7658c9fe71cb9a8468c23d3ed17b7890581a2222cb8 SHA512 ab9935e759f38d19e6f60ed195c22018929ba46fccf783f4486346d7ffb7040b6097bc4c3d3b3577cc91f0c413684e07449a24bebf3db9c937638092c181de92
 DIST mgba-40d4c430fc36caeb7ea32fd39624947ed487d2f2.tar.gz 12921593 BLAKE2B 8c5cf7b9b53f897f6248ad6bc51efafaa8a9d5df137d42d30f4b042b6d1527049644595938626c8cae1385d329bc45bf42db8dcc4424b963a3899e0df53246eb SHA512 26d7b60cbc7415652bb9ca2a42ccd532856867db57bf6dd91d8204551970109b6b9f4a96c42d643ea96b9d071d6aec924d3c1bb79c251c95183b7fb8536456c9

diff --git a/games-emulation/dolphin/dolphin-2412.ebuild b/games-emulation/dolphin/dolphin-2412.ebuild
new file mode 100644
index 000000000000..43af88d4f93b
--- /dev/null
+++ b/games-emulation/dolphin/dolphin-2412.ebuild
@@ -0,0 +1,301 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LLVM_COMPAT=( 18 )
+LLVM_OPTIONAL=1
+
+inherit cmake llvm-r1 pax-utils xdg-utils
+
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/dolphin-emu/dolphin"
+	EGIT_SUBMODULES=(
+		Externals/mGBA/mgba
+		Externals/implot/implot
+		Externals/tinygltf/tinygltf
+		Externals/Vulkan-Headers
+		Externals/VulkanMemoryAllocator
+		Externals/zlib-ng/zlib-ng
+		Externals/minizip-ng/minizip-ng
+	)
+else
+	MGBA_COMMIT=8739b22fbc90fdf0b4f6612ef9c0520f0ba44a51
+	IMPLOT_COMMIT=cc5e1daa5c7f2335a9460ae79c829011dc5cef2d
+	TINYGLTF_COMMIT=c5641f2c22d117da7971504591a8f6a41ece488b
+	VULKAN_HEADERS_COMMIT=05fe2cc910a68c9ba5dac07db46ef78573acee72
+	VULKANMEMORYALLOCATOR_COMMIT=009ecd192c1289c7529bff248a16cfe896254816
+	ZLIB_NG_COMMIT=ce01b1e41da298334f8214389cc9369540a7560f
+	MINIZIP_NG_COMMIT=3eed562ef0ea3516db30d1c8ecb0e1b486d8cb70
+	SRC_URI="
+		https://github.com/dolphin-emu/dolphin/archive/${PV}.tar.gz
+			-> ${P}.tar.gz
+		https://github.com/epezent/implot/archive/${IMPLOT_COMMIT}.tar.gz
+			-> implot-${IMPLOT_COMMIT}.tar.gz
+		https://github.com/syoyo/tinygltf/archive/${TINYGLTF_COMMIT}.tar.gz
+			-> tinygltf-${TINYGLTF_COMMIT}.tar.gz
+		https://github.com/KhronosGroup/Vulkan-Headers/archive/${VULKAN_HEADERS_COMMIT}.tar.gz
+			-> Vulkan-Headers-${VULKAN_HEADERS_COMMIT}.tar.gz
+		https://github.com/GPUOpen-LibrariesAndSDKs/VulkanMemoryAllocator/archive/${VULKANMEMORYALLOCATOR_COMMIT}.tar.gz
+			-> VulkanMemoryAllocator-${VULKANMEMORYALLOCATOR_COMMIT}.tar.gz
+		https://github.com/zlib-ng/zlib-ng/archive/${ZLIB_NG_COMMIT}.tar.gz
+			-> zlib-ng-${ZLIB_NG_COMMIT}.tar.gz
+		https://github.com/zlib-ng/minizip-ng/archive/${MINIZIP_NG_COMMIT}.tar.gz
+			-> minizip-ng-${MINIZIP_NG_COMMIT}.tar.gz
+		mgba? (
+			https://github.com/mgba-emu/mgba/archive/${MGBA_COMMIT}.tar.gz
+				-> mgba-${MGBA_COMMIT}.tar.gz
+		)
+	"
+	KEYWORDS="~amd64 ~arm64"
+fi
+
+DESCRIPTION="Gamecube and Wii game emulator"
+HOMEPAGE="https://dolphin-emu.org/"
+
+LICENSE="GPL-2+ BSD BSD-2 LGPL-2.1+ MIT ZLIB"
+SLOT="0"
+IUSE="
+	alsa bluetooth discord-presence doc egl +evdev ffmpeg +gui llvm log mgba
+	profile pulseaudio sdl systemd telemetry test upnp vulkan
+"
+REQUIRED_USE="
+	mgba? ( gui )
+	llvm? ( ${LLVM_REQUIRED_USE} )
+"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	app-arch/bzip2:=
+	>=app-arch/lz4-1.8:=
+	app-arch/xz-utils
+	>=app-arch/zstd-1.4.0:=
+	dev-libs/hidapi
+	>=dev-libs/libfmt-10.1:=
+	dev-libs/lzo:2
+	dev-libs/pugixml
+	dev-libs/xxhash
+	media-libs/cubeb
+	media-libs/libsfml:=
+	media-libs/libspng
+	>=net-libs/enet-1.3.18:1.3=
+	net-libs/mbedtls:0=
+	net-misc/curl
+	x11-libs/libX11
+	x11-libs/libXi
+	x11-libs/libXrandr
+	virtual/libusb:1
+	virtual/opengl
+	alsa? ( media-libs/alsa-lib )
+	bluetooth? ( net-wireless/bluez:= )
+	evdev? (
+		dev-libs/libevdev
+		virtual/udev
+	)
+	ffmpeg? ( media-video/ffmpeg:= )
+	gui? (
+		dev-qt/qtbase:6[gui,widgets]
+		dev-qt/qtsvg:6
+	)
+	llvm? ( $(llvm_gen_dep 'llvm-core/llvm:${LLVM_SLOT}=') )
+	profile? ( dev-util/oprofile )
+	pulseaudio? ( media-libs/libpulse )
+	sdl? ( media-libs/libsdl2 )
+	systemd? ( sys-apps/systemd:0= )
+	upnp? ( net-libs/miniupnpc:= )
+"
+DEPEND="
+	${RDEPEND}
+	egl? ( media-libs/libglvnd )
+	test? ( dev-cpp/gtest )
+"
+BDEPEND="
+	sys-devel/gettext
+	virtual/pkgconfig
+"
+
+# vulkan-loader required for vulkan backend which can be selected
+# at runtime.
+RDEPEND+="
+	vulkan? ( media-libs/vulkan-loader )
+"
+
+# [directory]=license
+declare -A KEEP_BUNDLED=(
+	# please keep this list in CMakeLists.txt order
+
+	# TODO: use system libraries
+	# bug #873952
+	# https://github.com/dolphin-emu/dolphin/pull/13089
+	[zlib-ng]=ZLIB
+	[minizip-ng]=ZLIB
+
+	[Bochs_disasm]=LGPL-2.1+
+	[cpp-optparse]=MIT
+	[imgui]=MIT
+	[implot]=MIT
+	[glslang]=BSD
+
+	[tinygltf]=MIT
+
+	[FreeSurround]=GPL-2+
+	[soundtouch]=LGPL-2.1+
+
+	# FIXME: discord-rpc not packaged
+	[discord-rpc]=MIT
+
+	[mGBA]=MPL-2.0
+
+	[picojson]=BSD-2
+	[expr]=MIT
+	[rangeset]=ZLIB
+	[FatFs]=FatFs
+	[Vulkan-Headers]="|| ( Apache-2.0 MIT )"
+	[VulkanMemoryAllocator]=MIT
+)
+
+PATCHES=(
+	"${FILESDIR}"/dolphin-2407-minizip.patch
+	"${FILESDIR}"/dolphin-2412-fix-libfmt-11.1.ebuild
+	"${FILESDIR}"/dolphin-2412-fix-build-without-retro-achievements.patch
+)
+
+add_bundled_licenses() {
+	for license in ${KEEP_BUNDLED[@]}; do
+		LICENSE+=" ${license}"
+	done
+}
+add_bundled_licenses
+
+pkg_setup() {
+	use llvm && llvm-r1_pkg_setup
+}
+
+src_prepare() {
+	if [[ ${PV} != *9999 ]]; then
+		mv -T "${WORKDIR}/implot-${IMPLOT_COMMIT}" Externals/implot/implot || die
+		mv -T "${WORKDIR}/tinygltf-${TINYGLTF_COMMIT}" Externals/tinygltf/tinygltf || die
+		mv -T "${WORKDIR}/Vulkan-Headers-${VULKAN_HEADERS_COMMIT}" Externals/Vulkan-Headers || die
+		mv -T "${WORKDIR}/VulkanMemoryAllocator-${VULKANMEMORYALLOCATOR_COMMIT}" Externals/VulkanMemoryAllocator || die
+		mv -T "${WORKDIR}/zlib-ng-${ZLIB_NG_COMMIT}" Externals/zlib-ng/zlib-ng || die
+		mv -T "${WORKDIR}/minizip-ng-${MINIZIP_NG_COMMIT}" Externals/minizip-ng/minizip-ng || die
+		if use mgba; then
+			mv -T "${WORKDIR}/mgba-${MGBA_COMMIT}" Externals/mGBA/mgba || die
+		fi
+	fi
+
+	cmake_src_prepare
+
+	local s remove=()
+	for s in Externals/*; do
+		[[ -f ${s} ]] && continue
+		if ! has "${s#Externals/}" "${!KEEP_BUNDLED[@]}"; then
+			remove+=( "${s}" )
+		fi
+	done
+
+	einfo "removing sources: ${remove[*]}"
+	rm -r "${remove[@]}" || die
+
+	# Remove dirty suffix: needed for netplay
+	sed -i -e 's/--dirty/&=""/' CMake/ScmRevGen.cmake || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DDSPTOOL=ON
+		-DENABLE_ALSA=$(usex alsa)
+		-DENABLE_ANALYTICS=$(usex telemetry)
+		-DENABLE_AUTOUPDATE=OFF
+		-DENABLE_BLUEZ=$(usex bluetooth)
+		-DENABLE_CLI_TOOL=ON
+		-DENABLE_EGL=$(usex egl)
+		-DENABLE_EVDEV=$(usex evdev)
+		-DENABLE_LLVM=$(usex llvm)
+		-DENABLE_LTO=OFF # just adds -flto, user can do that via flags
+		-DENABLE_NOGUI=$(usex !gui)
+		-DENABLE_PULSEAUDIO=$(usex pulseaudio)
+		-DENABLE_QT=$(usex gui)
+		-DENABLE_SDL=$(usex sdl)
+		-DENABLE_TESTS=$(usex test)
+		-DENABLE_VULKAN=$(usex vulkan)
+		-DENCODE_FRAMEDUMPS=$(usex ffmpeg)
+		-DFASTLOG=$(usex log)
+		-DOPROFILING=$(usex profile)
+		-DUSE_DISCORD_PRESENCE=$(usex discord-presence)
+		-DUSE_MGBA=$(usex mgba)
+		-DUSE_RETRO_ACHIEVEMENTS=OFF
+		-DUSE_UPNP=$(usex upnp)
+
+		-DCMAKE_DISABLE_FIND_PACKAGE_SYSTEMD=$(usex !systemd)
+
+		# Use system libraries
+		-DUSE_SYSTEM_FMT=ON
+		-DUSE_SYSTEM_PUGIXML=ON
+		-DUSE_SYSTEM_ENET=ON
+		-DUSE_SYSTEM_XXHASH=ON
+		-DUSE_SYSTEM_BZIP2=ON
+		-DUSE_SYSTEM_LIBLZMA=ON
+		-DUSE_SYSTEM_ZSTD=ON
+		-DUSE_SYSTEM_MINIZIP=OFF
+		-DUSE_SYSTEM_LZO=ON
+		-DUSE_SYSTEM_LZ4=ON
+		-DUSE_SYSTEM_SPNG=ON
+		-DUSE_SYSTEM_CUBEB=ON
+		-DUSE_SYSTEM_LIBUSB=ON
+		-DUSE_SYSTEM_SFML=ON
+		-DUSE_SYSTEM_MBEDTLS=ON
+		-DUSE_SYSTEM_CURL=ON
+		-DUSE_SYSTEM_ICONV=ON
+		-DUSE_SYSTEM_HIDAPI=ON
+
+		# Use ccache only when user did set FEATURES=ccache (or similar)
+		# not when ccache binary is present in system (automagic).
+		-DCCACHE_BIN=CCACHE_BIN-NOTFOUND
+
+		# Undo cmake.eclass's defaults.
+		# All dolphin's libraries are private
+		# and rely on circular dependency resolution.
+		-DBUILD_SHARED_LIBS=OFF
+
+		# Avoid warning spam around unset variables.
+		-Wno-dev
+	)
+
+	# System installed git shouldnt affect non live builds
+	[[ ${PV} != *9999 ]] && mycmakeargs+=( -DCMAKE_DISABLE_FIND_PACKAGE_Git=ON )
+
+	use test && mycmakeargs+=( -DUSE_SYSTEM_GTEST=ON )
+	use mgba && mycmakeargs+=( -DUSE_SYSTEM_LIBMGBA=OFF )
+	use sdl && mycmakeargs+=( -DUSE_SYSTEM_SDL2=ON )
+	use upnp && mycmakeargs+=( -DUSE_SYSTEM_MINIUPNPC=ON )
+
+	cmake_src_configure
+}
+
+src_test() {
+	cmake_build unittests
+}
+
+src_install() {
+	cmake_src_install
+
+	dodoc Readme.md
+	if use doc; then
+		dodoc -r docs/ActionReplay docs/DSP docs/WiiMote
+	fi
+
+	# Add pax markings for hardened systems
+	pax-mark -m "${ED}"/usr/bin/"${PN}"{-emu{,-nogui},-tool}
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}

diff --git a/games-emulation/dolphin/files/dolphin-2412-fix-build-without-retro-achievements.patch b/games-emulation/dolphin/files/dolphin-2412-fix-build-without-retro-achievements.patch
new file mode 100644
index 000000000000..01575fb551c3
--- /dev/null
+++ b/games-emulation/dolphin/files/dolphin-2412-fix-build-without-retro-achievements.patch
@@ -0,0 +1,68 @@
+https://github.com/dolphin-emu/dolphin/pull/13226
+
+https://github.com/dolphin-emu/dolphin/commit/84ab15e020a993286329e1fc0b0e47ffc3c0a536
+From 84ab15e020a993286329e1fc0b0e47ffc3c0a536 Mon Sep 17 00:00:00 2001
+From: JosJuice <josjuice@gmail.com>
+Date: Sun, 15 Dec 2024 18:00:14 +0100
+Subject: [PATCH 1/2] AchievementManager: Add required forward declarations
+
+This was causing compilation errors when building without
+USE_RETRO_ACHIEVEMENTS.
+--- a/Source/Core/Core/AchievementManager.h
++++ b/Source/Core/Core/AchievementManager.h
+@@ -275,11 +275,21 @@ class AchievementManager
+ 
+ #include <string>
+ 
++namespace ActionReplay
++{
++struct ARCode;
++}
++
+ namespace DiscIO
+ {
+ class Volume;
+ }
+ 
++namespace Gecko
++{
++class GeckoCode;
++}
++
+ class AchievementManager
+ {
+ public:
+
+https://github.com/dolphin-emu/dolphin/commit/ad24ddb6bb01ddaba19bf72e8eda5cae354701ae
+From ad24ddb6bb01ddaba19bf72e8eda5cae354701ae Mon Sep 17 00:00:00 2001
+From: JosJuice <josjuice@gmail.com>
+Date: Sun, 15 Dec 2024 18:15:57 +0100
+Subject: [PATCH 2/2] VerifyTool: Add missing USE_RETRO_ACHIEVEMENTS ifdefs
+
+--- a/Source/Core/DolphinTool/VerifyCommand.cpp
++++ b/Source/Core/DolphinTool/VerifyCommand.cpp
+@@ -133,8 +133,10 @@ int VerifyCommand(const std::vector<std::string>& args)
+       hashes_to_calculate.md5 = true;
+     else if (algorithm == "sha1")
+       hashes_to_calculate.sha1 = true;
++#ifdef USE_RETRO_ACHIEVEMENTS
+     else if (algorithm == "rchash")
+       rc_hash_calculate = true;
++#endif
+   }
+ 
+   if (!hashes_to_calculate.crc32 && !hashes_to_calculate.md5 && !hashes_to_calculate.sha1 &&
+@@ -163,11 +165,13 @@ int VerifyCommand(const std::vector<std::string>& args)
+   verifier.Finish();
+   const DiscIO::VolumeVerifier::Result& result = verifier.GetResult();
+ 
++#ifdef USE_RETRO_ACHIEVEMENTS
+   // Calculate rcheevos hash
+   if (rc_hash_calculate)
+   {
+     rc_hash_result = AchievementManager::CalculateHash(input_file_path);
+   }
++#endif
+ 
+   // Print the report
+   if (!algorithm_is_set)

diff --git a/games-emulation/dolphin/files/dolphin-2412-fix-libfmt-11.1.ebuild b/games-emulation/dolphin/files/dolphin-2412-fix-libfmt-11.1.ebuild
new file mode 100644
index 000000000000..0f5c3fd91c41
--- /dev/null
+++ b/games-emulation/dolphin/files/dolphin-2412-fix-libfmt-11.1.ebuild
@@ -0,0 +1,75 @@
+https://github.com/dolphin-emu/dolphin/commit/22dc21cca42b2eaf373ac9e1b5128c566615aa71
+https://github.com/dolphin-emu/dolphin/pull/13262
+
+From 825092ad33a2e7466e79520c1338d0bed56ca299 Mon Sep 17 00:00:00 2001
+From: Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>
+Date: Sat, 4 Jan 2025 18:45:32 +0100
+Subject: [PATCH 1/2] BBA/HLE: Fix incorrect fmt format string
+
+--- a/Source/Core/Core/HW/EXI/BBA/BuiltIn.cpp
++++ b/Source/Core/Core/HW/EXI/BBA/BuiltIn.cpp
+@@ -686,7 +686,7 @@ bool CEXIETHERNET::BuiltInBBAInterface::SendFrame(const u8* frame, u32 size)
+   }
+
+   default:
+-    ERROR_LOG_FMT(SP1, "Unsupported EtherType {#06x}", *ethertype);
++    ERROR_LOG_FMT(SP1, "Unsupported EtherType {:#06x}", *ethertype);
+     return false;
+   }
+
+
+From b79bdb13c05b4fcef23cd30b210d40662d28373b Mon Sep 17 00:00:00 2001
+From: Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>
+Date: Sat, 4 Jan 2025 18:46:04 +0100
+Subject: [PATCH 2/2] Common: Fix compile failure with fmt>=11
+
+--- a/Source/Core/Common/Logging/Log.h
++++ b/Source/Core/Common/Logging/Log.h
+@@ -99,7 +99,13 @@ void GenericLogFmt(LogLevel level, LogType type, const char* file, int line, con
+   static_assert(NumFields == sizeof...(args),
+                 "Unexpected number of replacement fields in format string; did you pass too few or "
+                 "too many arguments?");
+-  GenericLogFmtImpl(level, type, file, line, format, fmt::make_format_args(args...));
++
++#if FMT_VERSION >= 110000
++  auto&& format_str = fmt::format_string<Args...>(format);
++#else
++  auto&& format_str = format;
++#endif
++  GenericLogFmtImpl(level, type, file, line, format_str, fmt::make_format_args(args...));
+ }
+ }  // namespace Common::Log
+
+--- a/Source/Core/Common/MsgHandler.h
++++ b/Source/Core/Common/MsgHandler.h
+@@ -41,12 +41,17 @@ bool MsgAlertFmt(bool yes_no, MsgType style, Common::Log::LogType log_type, cons
+   static_assert(NumFields == sizeof...(args),
+                 "Unexpected number of replacement fields in format string; did you pass too few or "
+                 "too many arguments?");
+-#if FMT_VERSION >= 90000
++#if FMT_VERSION >= 110000
++  static_assert(std::is_base_of_v<fmt::detail::compile_string, S>);
++  auto&& format_str = fmt::format_string<Args...>(format);
++#elif FMT_VERSION >= 90000
+   static_assert(fmt::detail::is_compile_string<S>::value);
++  auto&& format_str = format;
+ #else
+   static_assert(fmt::is_compile_string<S>::value);
++  auto&& format_str = format;
+ #endif
+-  return MsgAlertFmtImpl(yes_no, style, log_type, file, line, format,
++  return MsgAlertFmtImpl(yes_no, style, log_type, file, line, format_str,
+                          fmt::make_format_args(args...));
+ }
+
+@@ -60,7 +65,9 @@ bool MsgAlertFmtT(bool yes_no, MsgType style, Common::Log::LogType log_type, con
+   static_assert(NumFields == sizeof...(args),
+                 "Unexpected number of replacement fields in format string; did you pass too few or "
+                 "too many arguments?");
+-#if FMT_VERSION >= 90000
++#if FMT_VERSION >= 110000
++  static_assert(std::is_base_of_v<fmt::detail::compile_string, S>);
++#elif FMT_VERSION >= 90000
+   static_assert(fmt::detail::is_compile_string<S>::value);
+ #else
+   static_assert(fmt::is_compile_string<S>::value);


^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2025-01-18 16:34 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-07-11  0:09 [gentoo-commits] repo/gentoo:master commit in: games-emulation/dolphin/, games-emulation/dolphin/files/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2025-01-18 16:34 Michał Górny
2024-06-02 17:54 Michał Górny
2021-07-02  6:43 Sergei Trofimovich
2019-05-25 22:38 Sergei Trofimovich
2018-07-22 10:16 Sergei Trofimovich
2018-01-11 10:36 David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox